management:
  endpoints:
    web:
      exposure:
        include: info,health
  endpoint:
    health:
      show-details: always
logging:
  level:
    root: info
    eu:
      coexya: info
    web: warn
    org:
      springframework:
        security: info
        data: info
spring:
  data:
    mongodb:
      auto-index-creation: false
      uri: mongodb://root:password@mongo:27017/cyb?authSource=admin
  batch:
    initialize-schema: always
    datasource:
      initialize: true
      driver-class-name: org.hsqldb.jdbcDriver
      jdbcUrl: jdbc:hsqldb:mem:jobDataSource;sql.enforce_strict_size=true;hsqldb.tx=mvcc
      username: sa
      password:
daemon:
  purge:
    cron: "0 0 0 * * *" # Purge every day at 0h
    purgeAfter: P1Y # Purge 1 year old operations
  update:
    cron: "0/10 * * * * *" # Update operations every 10 seconds
    #    cron: "0 0/1 * * * *" # Update operations every minute
    startupBlocks: 10 # Number of blocks to check when updating operations at startup
    headOffset: 5 # Offset the head to update operations (30 to be sure the blocks are validated)
    retries: 2 # Number of times an operation is put back to pending before dry running it again
    rejectAfter: 10 # Number of times an operation is put back to pending before getting rejected
    staleAfter: 2h # Duration before an operation turns to STALE
tezos:
  node:
    url: "NODE_URL"
  bakerAddress: "BAKER_ADDRESS"
  bakingSlots:
    update:
      cron: "0 0/10 * * * *" # Update operations every 10 minutes (Advised time is the time of a tezos cycle)
